#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'faq.title'}
#{/set}

<div class="breadcrumb">&{'faq.daftarfaq'}</div>
<div class="content">
    #{alert /}
    <table class="table table-sm" id="tblFaq">
            <thead>
            <tr>
                <th width="10" class="text-center"><input type="checkbox" class="checkall"/></th>
                <th>&{'faq.pertanyaan'}</th>
                <th style="width:200px">&{'faq.tglkirim'}</th>
            </tr>
            </thead>
            <tbody>
            </tbody>
    </table>
    #{form @admin.FaqCtr.hapus(), method:'POST'}
     #{if active_user.helpdesk}
         #{addButton action:@admin.FaqCtr.tambah() /}
     #{/if}
     #{newDeleteButton /}
    #{/form}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<link href="https://cdn.datatables.net/select/1.3.1/css/select.dataTables.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/select/1.3.1/js/dataTables.select.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/dataTables.checkboxes.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/delete-confirm.js'/}"></script>
<script type="text/javascript"> 
var faqView = #{jsRoute @admin.FaqCtr.view(':id') /};
var faqEdit = #{jsRoute @admin.FaqCtr.jawab(':id') /};
$("#tblFaq").dataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.faq()}",
        columns: [{sortable:false, render: function(data, type, row) {
        	 		var ids = row[0];
                    var judul = row[1];
                    var status = row[3];
                    if(status == 0){
                      row[1] = judul+" - <a href='"+faqEdit.url({id:ids})+"'>[Jawab]</a>";
                    }else{
                     row[1] = "<a href='"+faqView.url({id:ids})+"'>"+judul+"</a>"
                    }
                    return data;
                },
                checkboxes: { selectRow: true,  selectAllRender: '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'}
            }],
        select: 'multi',
        order: [[ 1, "desc"]],
        ajax: "@{DataTableCtr.faq()}"
    });
    $('#tblFaq_filter input').unbind();
    $('#tblFaq_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
    $('form').on('submit', function(e){
         var $form = $(this);
         var selected = table.rows( { selected: true } ).data();
         selected.each(function(res){
             if(!(res[0] === null || res[0] === '')) {
                 $form.append($('<input>').attr('type', 'hidden').attr('name', 'chkFaq').val(res[0]));
             }
         });
     });
</script>
#{/set}



